This event pushes updates for the Additional Customer Verification process.
- Event type:
profiles#cdd-check-state-change - Profile level subscriptions: Not Supported
- Application level subscriptions: Supported
| Code | Description |
|---|---|
VERIFIED | Additional verification check has passed. |
EVIDENCE_REQUIRED | Additional verification check has failed, evidences are required . |
| Code | Description |
|---|---|
DOCUMENT_POOR_QUALITY | Document quality poor. |
DOCUMENT_OUT_OF_DATE | Document out of date. |
DOCUMENT_NAME_MISMATCH | Name on document does not match records. |
DOCUMENT_MISSING_NAME | Name on document missing. |
DOCUMENT_MISSING_ISSUE_DATE | Document issue date missing. |
DOCUMENT_MISSING_COMPANY_LOGO_LETTERHEAD | Company logo or letterhead missing from document. |
DOCUMENT_NOT_COMPLETE | Document is partially cut-off and does not contain full information. |
DOCUMENT_MISSING_SIGNATURE | Document missing signature. |
DOCUMENT_MISSING_INCOME | Document missing income information or income is not clear from the document. |
DOCUMENT_TYPE_UNACCEPTABLE | Submitted document type is not acceptable. |
INVOICE_UNACCEPTABLE | Invoice is not an accepted document. |
PHOTO_ID_UNACCEPTABLE | Photo ID is not an accepted document. |
TRANSACTION_UNACCEPTABLE | Transaction (or a screenshot of a transaction) is not accepted. |
PHOTO_UNACCEPTABLE | Photos (or computer screenshots) are not acceptable. |
OTHER | Reason unknown. |
See the list of evidences to find all possible values.
Events may not be delivered in the order they occurred. Use data.occurred_at to reconcile the order. See the Event ordering guide for details.
See the Webhooks guide for setup instructions, signature verification, and best practices.
RSA-SHA256 signature of the request body, Base64 encoded. Verify this against the Wise public key to ensure the request is authentic and has not been tampered with.
Example:t7FMhk3OARMgwqz0LJXO...
Version of the event schema. Determined by the schema_version on your webhook subscription.
Value:"4.0.0"
Example:"4.0.0"
Discriminator
ID of the webhook subscription that triggered this event.
Example:"01234567-89ab-cdef-0123-456789abcdef"
- Production Environmenthttps://api.wise.com/profiles#cdd-check-state-change
- Sandbox Environmenthttps://api.wise-sandbox.com/profiles#cdd-check-state-change
- 4.0.0
- 2.0.0
{ "schema_version": "4.0.0", "subscription_id": "01234567-89ab-cdef-0123-456789abcdef", "event_type": "profiles#cdd-check-state-change", "sent_at": "2020-01-01T12:34:56.123Z", "data": { "resource": { "type": "profile", "id": 111 }, "current_state": "VERIFIED", "review_outcome": "DOCUMENT_OUT_OF_DATE", "required_evidences": [ "SOURCE_OF_INCOME" ], "occurred_at": "2020-01-01T12:34:56.789Z", "source_of_income": "INVESTMENTS", "source_of_funding": "REVENUE" } }
Response
{ "status": "ok" }